package com.gyee.frame.mapper.auto;

import com.gyee.frame.model.auto.Windturbine;
import com.gyee.frame.model.auto.WindturbineExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 风机信息表 WindturbineMapper
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2019-12-30 17:00:04
 */
public interface WindturbineMapper {
      	   	      	      	      	      	      	      	      	      	      	      	      	      	      
    long countByExample(WindturbineExample example);

    int deleteByExample(WindturbineExample example);
		
    int deleteByPrimaryKey(String id);
		
    int insert(Windturbine record);

    int insertSelective(Windturbine record);

    List<Windturbine> selectByExample(WindturbineExample example);
		
    Windturbine selectByPrimaryKey(String id);
		
    int updateByExampleSelective(@Param("record") Windturbine record, @Param("example") WindturbineExample example);

    int updateByExample(@Param("record") Windturbine record, @Param("example") WindturbineExample example);
		
    int updateByPrimaryKeySelective(Windturbine record);

    int updateByPrimaryKey(Windturbine record);
  	  	
}